Bug 22857 - Entries missing in koha-conf.xml
Summary: Entries missing in koha-conf.xml
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 19:04 UTC by Jonathan Druart
Modified: 2019-11-15 10:17 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 22857: Sync koha-conf.xml files (3.73 KB, patch)
2019-11-05 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22857: Sync koha-conf.xml files (3.79 KB, patch)
2019-11-05 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22857: Sync koha-conf.xml files (3.88 KB, patch)
2019-11-08 09:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22857: (QA follow-up) Cosmetic changes: typo, whitespace (1.88 KB, patch)
2019-11-08 09:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-05-06 19:04:28 UTC
At least dev_install and strict_sql_modes are missing from the koha-conf.xml file.
Even if there will not be used in production I feel like we should have all the possible flags available in etc/koha-conf.xml
Comment 1 Magnus Enger 2019-09-17 17:31:42 UTC
And debian/templates/koha-conf-site.xml.in?
Comment 2 Katrin Fischer 2019-11-02 23:44:57 UTC
Agreed.
Comment 3 Jonathan Druart 2019-11-05 10:25:19 UTC
Created attachment 95045 [details] [review]
Bug 22857: Sync koha-conf.xml files

Missing entries are added to those files.

Test plan:
Search for typos
Compare the two files and comfirm the entries are the same in both.
Exception: supportdir exists in etc/koha-conf.xml only, but I think it's
obsolete.
Comment 4 Katrin Fischer 2019-11-05 12:08:14 UTC
Created attachment 95048 [details] [review]
Bug 22857: Sync koha-conf.xml files

Missing entries are added to those files.

Test plan:
Search for typos
Compare the two files and comfirm the entries are the same in both.
Exception: supportdir exists in etc/koha-conf.xml only, but I think it's
obsolete.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-11-05 12:09:43 UTC
Reads well, just wondering if this could cause problems being there by default when not using the Let's encrypt feature provided by Koha for your certs?

+ <tls>__DB_USE_TLS__</tls>
+ <ca>__DB_TLS_CA_CERTIFICATE__</ca>
+ <cert>__DB_TLS_CLIENT_CERTIFICATE__</cert>
+ <key>__DB_TLS_CLIENT_KEY__</key>
Comment 6 Marcel de Rooy 2019-11-08 08:18:03 UTC
(In reply to Katrin Fischer from comment #5)
> Reads well, just wondering if this could cause problems being there by
> default when not using the Let's encrypt feature provided by Koha for your
> certs?
> 
> + <tls>__DB_USE_TLS__</tls>
> + <ca>__DB_TLS_CA_CERTIFICATE__</ca>
> + <cert>__DB_TLS_CLIENT_CERTIFICATE__</cert>
> + <key>__DB_TLS_CLIENT_KEY__</key>

This is stuff from an older 'feature':
commit 84e48d03238ce2446e7ea24401bda0a8f4e4422d
Author: Dimitris Kamenopoulos <dkamen@gmail.com>
Date:   Sun Dec 27 16:01:43 2015 +1300
Comment 7 Marcel de Rooy 2019-11-08 08:35:24 UTC
if( $self->{'tls'} && $self->{'tls'} eq 'yes' ) {
=> if tls == __DB_USE_TLS_ (since it was not replaced by koha-create), the condition still works
=> But I could imagine that we should want to comment it
Comment 8 Marcel de Rooy 2019-11-08 09:02:31 UTC
Created attachment 95184 [details] [review]
Bug 22857: Sync koha-conf.xml files

Missing entries are added to those files.

Test plan:
Search for typos
Compare the two files and comfirm the entries are the same in both.
Exception: supportdir exists in etc/koha-conf.xml only, but I think it's
obsolete.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2019-11-08 09:02:35 UTC
Created attachment 95185 [details] [review]
Bug 22857: (QA follow-up) Cosmetic changes: typo, whitespace

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Martin Renvoize 2019-11-08 12:56:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-11-15 10:17:44 UTC
Pushed to 19.05.x for 19.05.05